<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh/irc_centos_request</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh/irc_centos_request</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><p class="line867">
<h1 id="A.23centos_irc_.2BmJGQU1GFfs9eOJcAdShjB07kdoRSHXo.2F-">#centos irc 频道内经常需用指令的初稿</h1>
<span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><p class="line867">&lt;&lt;TableOfContents: execution failed [Argument "maxdepth" must be an integer value, not "[1]"] (see also the log)&gt;&gt; <span class="anchor" id="line-7"></span><span class="anchor" id="line-8"></span><p class="line862">你被指向这页，可能是由于你在 CentOS 的一条 <a class="http" href="http://centos.org/irc">irc</a> 频道上寻求协助。 <span class="anchor" id="line-9"></span>这里的指令，你多数会需要用来析别你的问题。请使用 <a class="http" href="http://pastebin.centos.org">http://pastebin.centos.org</a> 来刊登结果，并只张贴 pastebin 的连结在频道内。 <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867">
<h2 id="A.2BVyhPYFPRle5OS1FI-">1. 在你发问之先</h2>
<span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line862">请不要发这类问题：<em><strong>难道没有人可以帮忙吗？</strong></em> <span class="anchor" id="line-14"></span><span class="anchor" id="line-15"></span><p class="line862">我们推荐你阅读<a class="http" href="http://www.catb.org/~esr/faqs/smart-questions.html">「如何聪明地发问」</a>。 <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line867">
<h2 id="IRC_.2BTjuYmA-">2. IRC 主题</h2>
<span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><p class="line874">请阅读它！截至 2012 年 3 月 8 日 <span class="anchor" id="line-20"></span>{{{12:30 Topic for #centos: Welcome to #centos | Current: 6.2, 5.8 | <span class="anchor" id="line-21"></span>Don't paste in here, use <a class="http" href="http://pastebin.centos.org/">http://pastebin.centos.org/</a> | <a class="http" href="http://wiki.centos.org/irc">http://wiki.centos.org/irc</a> | <span class="anchor" id="line-22"></span>Backports: │<a class="http" href="http://tinyurl.com/r77l2">http://tinyurl.com/r77l2</a> | Some thinking required | <span class="anchor" id="line-23"></span>Be polite and considerate | <span class="anchor" id="line-24"></span>CentOS-4 is past its End of Life : <a class="http" href="http://lists.centos.org/pipermail/centos-announce/2012-February/018462.html">http://lists.centos.org/pipermail/centos-announce/2012-February/018462.html</a> <span class="anchor" id="line-25"></span>}}} <span class="anchor" id="line-26"></span><span class="anchor" id="line-27"></span><p class="line862">请亦参阅<a class="http" href="http://wiki.centos.org/SpoonFeed">「填鸭式教育」</a>。 <span class="anchor" id="line-28"></span><span class="anchor" id="line-29"></span><p class="line867">
<h2 id="A.2BUYVoOHJIZyxTyg_CentOS_.2BU9GITHJIZyw-">3. 内核版本及 CentOS 发行版本</h2>
<span class="anchor" id="line-30"></span><p class="line867"><span class="anchor" id="line-31"></span><span class="anchor" id="line-32"></span><span class="anchor" id="line-33"></span><pre><span class="anchor" id="line-1"></span>$ uname -a
<span class="anchor" id="line-2"></span>$ rpm -q centos-release</pre><span class="anchor" id="line-34"></span><p class="line862">来自<a class="http" href="http://wiki.centos.org/TipsAndTricks/BrokenVserver「有些服务器并真正的">CentOS」</a>： <span class="anchor" id="line-35"></span><span class="anchor" id="line-36"></span><p class="line874">检查你的 yum 配置文件： <span class="anchor" id="line-37"></span><span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><pre><span class="anchor" id="line-1-1"></span>$ rpm -V yum centos-release ; ls /etc/yum.repos.d/ ; yum repolist; grep -ir exclude  /etc/yum.*</pre><span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><p class="line867">
<h2 id="A.2BZS9jAVkakc1.2B02eEdoR.2BxE72-">4. 支持多重结构的组件</h2>
<span class="anchor" id="line-42"></span><span class="anchor" id="line-43"></span><p class="line874">要查看某台机器上的组件（多数是 32 位元兼容库）的结构： <span class="anchor" id="line-44"></span><span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><span class="anchor" id="line-47"></span><pre><span class="anchor" id="line-1-2"></span>rpm -qa --qf "%{name}-%{version}-%{release}.%{arch}\n" | sort ; \
<span class="anchor" id="line-2-1"></span>  rpm -q --qf "%{name}-%{version}-%{release}.%{arch}\n" glibc\*</pre><span class="anchor" id="line-48"></span><span class="anchor" id="line-49"></span><p class="line867">
<h2 id="A.2BZwlRcw_CPAN_.2BU8p.2FFovRbpBO43gB-">5. 有关 CPAN 及编译源代码</h2>
<span class="anchor" id="line-50"></span><span class="anchor" id="line-51"></span><p class="line862">通过 CPAN 来安装 perl 模块<strong>不被支持的</strong>，请使用<a class="http" href="http://wiki.centos.org/zh/AdditionalResources/Repositories">第三方软件库</a>来安装 perl 模块。 <span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><pre><span class="anchor" id="line-1-3"></span>$ which perl; rpm -q perl; rpm -V perl</pre><span class="anchor" id="line-55"></span><span class="anchor" id="line-56"></span><p class="line874">遗漏 perl 模块的信息及利用 yum 指令来寻找它的样例： <span class="anchor" id="line-57"></span><span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span><span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><pre><span class="anchor" id="line-1-4"></span>Can't locate LWP/UserAgent.pm in @INC
<span class="anchor" id="line-2-2"></span>...
<span class="anchor" id="line-3"></span>$ yum provides "perl(LWP::UserAgent)"
<span class="anchor" id="line-4"></span>perl-libwww-perl.noarch : A Perl interface to the World-Wide Web
<span class="anchor" id="line-5"></span># yum install perl-libwww-perl</pre><span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><p class="line874">这样做是由于 CPAN 轻视包装系统，而为要让 perl 能正常运作，它会复盖现有的 CentOS 文件，当中不乏核心文件。 <span class="anchor" id="line-66"></span><span class="anchor" id="line-67"></span><p class="line874">更广义来说，以编译自源代码的二进制文件来取替系统内某些核心库如 zlib，会绕过 RPM 利用 .so 文件名而作出的兼容性检查。所得出的系统，肯定已不再是 CentOS。 <span class="anchor" id="line-68"></span><span class="anchor" id="line-69"></span><p class="line867">
<h2 id="A.2BmJ1ZFo1EbpA-">6. 额外资源</h2>
<span class="anchor" id="line-70"></span><span class="anchor" id="line-71"></span><p class="line874">…… 你亦应该考虑参阅以下资源、常见问题集、及提示： <span class="anchor" id="line-72"></span><span class="anchor" id="line-73"></span><p class="line867"><strong>技术性资源</strong> <span class="anchor" id="line-74"></span><ul><li><p class="line862">你系统上的 <tt>man</tt> 及 <tt>info</tt> 页；请寻找它们：<tt>man&nbsp;-k&nbsp;topic&nbsp;|&nbsp;less</tt> <span class="anchor" id="line-75"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org/zh/TipsAndTricks/YumAndRPM">http://wiki.centos.org/zh/TipsAndTricks/YumAndRPM</a> （有关 CentOS 上的组件管理） <span class="anchor" id="line-76"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org/zh/AdditionalResources/Repositories">http://wiki.centos.org/zh/AdditionalResources/Repositories</a> （假若你需要 CentOS 未提供的组件） <span class="anchor" id="line-77"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org/zh/FAQ">http://wiki.centos.org/zh/FAQ</a> <span class="anchor" id="line-78"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org/zh/HowTos">http://wiki.centos.org/zh/HowTos</a> <span class="anchor" id="line-79"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org">http://wiki.centos.org</a> 上的 SEARCH 按钮 <span class="anchor" id="line-80"></span></li><li><p class="line862">利用 google 寻找 centos.org 网站 -&gt; <a class="http" href="http://www.google.com/search?q=site%3Acentos.org+">http://www.google.com/search?q=site%3Acentos.org+</a> <span class="anchor" id="line-81"></span><span class="anchor" id="line-82"></span></li></ul><p class="line867">
<h2 id="A.2BXjiJwZUZWQQ-">7. 常见错处</h2>
<span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><ul><li><p class="line862">你并不是执行 CentOS：见 <a class="http" href="http://wiki.centos.org/zh/AdditionalResources/OtherVoices">「其它声音」</a> <span class="anchor" id="line-85"></span></li><li><p class="line862">你是 root，或者认为你的身份是…… <a class="http" href="http://wiki.centos.org/zh/TipsAndTricks/BecomingRoot">「成为 root 用户」</a>（问题涉及成为 root 后未清除路径中属於其它用户、有潜在危险的路径） <span class="anchor" id="line-86"></span><span class="anchor" id="line-87"></span></li></ul><p class="line867"><small>Translation of revision 27</small> <span class="anchor" id="line-88"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:24
</body>
</html>
